package cn.freemud.management.util;

import lombok.Getter;

@Getter
public class CheckException extends RuntimeException {

    protected ResponseCodeEnum responseCodeEnum;

    public CheckException(ResponseCodeEnum responseCodeEnum) {
        super(responseCodeEnum.msg);
        this.responseCodeEnum = responseCodeEnum;
    }

    public CheckException(String message) {
        super(message);
    }
}